/* ! Logo/Hamburger Styling */
/* .toggle-button.active .top {
  transform: translateY(12px) translateX(0) rotate(45deg);
  background: #ee6352;
  width: 38px;
}

.toggle-button.active .middle {
  opacity: 0;
  background: #ee6352;
}

.toggle-button.active .bottom {
  transform: translateY(-12px) translateX(0) rotate(-45deg);
  background: #ee6352;
  width: 38px;
}

.toggle-button span {
  background: #bebaa8;
  border: none;
  height: 5.5px;
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  transition: all 0.35s ease;
} */

/* ********************************************************************** */
/* **************************** First Slide **************************** */
/* ********************************************************************** */
/* ! Hero Image */
.hero_img {
  height: 80%;
  width: 60%;
  background-image: url("../assets/images/SCR-32_04_lighter.jpg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  left: 15%;
  display: flex;
}

.hero_img_2 {
  height: 80%;
  width: 60%;
  background-image: url("../assets/images/AMS-33_01.png");
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  position: relative;
  left: 15%;
  display: flex;
}

/* Project Code Styling */
.main_project_code {
  color: #ee6352;
  font-size: 160px;
  position: absolute;
  left: -100px;
  top: -75px;
  z-index: 1;
}

.blue_header {
  color: #3fa7d6;
}

/* Social Media Icons */
/* .rotated_socials {
  position: absolute;
  writing-mode: vertical-rl;
  transform: rotate(360deg);
  right: -5%;
  top: 0;
} */
.rotated_socials {
  position: absolute;
  bottom: 60px;
  right: 100px;
  z-index: 2;
}

.social_icons {
  margin-top: 25px;
}

.overview_parent {
  position: absolute;
  right: -12%;
  bottom: 5%;
}

/* Overview Styling */
.overview {
  font-family: Avenir-Bold, sans-serif;
  color: #ee6352;
  text-transform: uppercase;
  line-height: 1;
  letter-spacing: 2px;
  display: flex;
  flex-direction: column;
}

.overview_content {
  margin-top: 20px;
}

/* Arrow Styling */
.click_or_scroll {
  color: #bebaa8;
}

/* Change footer color to a visible color */
/* .footer-sig {
  color: #bebaa8;
} */

/* ********************************************************************** */
/* **************************** Second Slide **************************** */
/* ********************************************************************** */

/* Unite Gallery */
#gallery {
  margin: 0 auto !important;
  height: 75% !important;
}

/* Project Desc Styling */
.project_desc_parent {
  width: 250px;
  display: flex;
  flex-direction: column;
  position: absolute;
  top: 10%;
  right: 20%;
}

.project_desc_header {
  color: #ee6352;
  margin-bottom: 20px;
}

.project_desc {
  font-family: Avenir-Regular, sans-serif;
  color: #bebaa8;
  font-size: 18px;
  line-height: 1.25;
}

.next_project_beige {
  color: #fff !important;
  transition: all 0.5s;
}
.next_project_beige:hover {
  color: #bebaa8 !important;
}
.next_project_beige i{
  transition: all 0.5s;
}
.next_project_beige:hover i{
  transform: scale(1.2);
}

.next_project_red {
  color: #ee6352;
}

.carousel-indicators li {
  background-color: #1e1e1d;
}

.carousel-indicators_light li {
  background-color: #bebaa8;
}
/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!! MEDIA QUERIES !!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */

@media only screen and (max-width: 2030px) {
  .overview {
    left: 30%;
  }
}

@media only screen and (max-width: 1870px) {
  .overview {
    left: 25%;
  }
}

@media only screen and (max-width: 1770px) {
  .overview {
    left: 20%;
  }
}

@media only screen and (max-width: 1660px) {
  .overview {
    left: 15%;
  }
}

@media only screen and (max-width: 1560px) {
  .overview {
    left: 10%;
  }

  .project_desc_parent {
    right: 18%;
  }
}

@media only screen and (max-width: 1500px) {
  .project_desc_parent {
    top: 12%;
    right: 17%;
  }

  #slideshow {
    max-width: 75vw;
  }
}

@media only screen and (max-width: 1460px) {
  .overview {
    left: 5%;
  }
}

@media only screen and (max-width: 1400px) {
  .project_desc_parent {
    top: 17%;
    right: 15%;
  }
}

/* 1366 px and below */
@media only screen and (max-width: 1366px) {
  .hero_img {
    max-width: 60%;
    /* max-height: 70%; */
  }

  .main_project_code {
    font-size: 125px;
  }

  /* .rotated_socials {
    right: -10%;
  } */

  .overview {
    left: 225px;
  }

  .project_desc_parent {
    right: 14%;
    top: 25%;
  }
}

@media only screen and (max-width: 1300px) {
  #slideshow {
    max-width: 70vw;
  }
}

@media only screen and (max-width: 1250px) {
  .overview {
    left: 150px;
  }

  .project_desc_parent {
    right: 20%;
  }
}

@media only screen and (max-width: 1150px) {
  .overview {
    left: 100px;
  }

  .project_desc_parent {
    right: 17%;
  }
}

@media only screen and (max-width: 1100px) {
  .main_project_code {
    font-size: 100px;
    top: -12%;
  }
}

@media only screen and (max-width: 1024px) {
  .hero_img {
    left: 125px;
  }

  .main_project_code {
    font-size: 90px;
    top: -5%;
    left: -10%;
  }

  .overview {
    left: 125px;
  }

  #slideshow {
    width: 60vw;
  }

  .project_desc_parent {
    right: 22%;
  }
}

/* max-height styling */
@media only screen and (max-height: 750px) {
  #slideshow {
    max-height: 80%;
  }
}

@media only screen and (max-height: 600px) {
  .project_desc_parent {
    top: 18%;
  }

  .project_desc_header {
    font-size: 21px;
  }

  .project_desc {
    font-size: 18px;
  }
}

/* max-height styling */
@media only screen and (max-height: 500px) {
  .project_desc_parent {
    right: 18%;
  }

  .project_desc_header {
    font-size: 21px;
  }

  .project_desc {
    font-size: 16px;
  }
}

@media only screen and (max-height: 400px) {
  .rotated_socials {
    display: none;
  }
  .project_desc_header {
    font-size: 18px;
  }

  .project_desc {
    font-size: 14px;
    line-height: 1.75;
  }
}

@media only screen and (max-height: 300px) {
  #slideshow {
    max-width: 40vw;
  }

  .project_desc_parent {
    right: 22%;
  }

  .project_desc_header {
    font-size: 18px;
  }

  .project_desc {
    font-size: 14px;
    line-height: 1;
  }
}

/* ? !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ? */
/* ? !!!!!!!!!!!!!!!!!!!!!! MOBILE STYLING !!!!!!!!!!!!!!!!!!!!!!! ? */
/* ? !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ? */

.mobile_version {
  height: unset;
}

.hero_img_mobile {
  background-image: url(../assets/images/SCR-32_04_lighter.jpg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 500px;
  margin-top: 15vh;
}

.hero_img_mobile_2 {
  background-image: url(../assets/images/AMS-33_01.png);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  height: 500px;
  margin-top: 15vh;
}

.main_project_code_mobile {
  color: #ee6352;
  font-size: 100px;
  letter-spacing: 0;
  position: relative;
  top: -13%;
  left: 17%;
}

.main_project_code_mobile_light {
  color: #3fa7d6;
  font-size: 100px;
  letter-spacing: 0;
  position: relative;
  top: -13%;
  left: 17%;
}

.bottom_content {
  margin-bottom: 100px;
  width: 100%;
  position: relative;
  display: flex;
  justify-content: space-around;
}

.overview_mobile {
  font-family: Avenir-Bold, sans-serif;
  color: #ee6352;
  text-transform: uppercase;
  line-height: 1;
  letter-spacing: 2px;
  display: flex;
  flex-direction: column;
}

.overview_mobile span {
  margin-top: 20px;
}

/* Carousel */
.s0_mobile {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 500px;
  margin-top: 15vh;
}

.s01_mobile {
  background-image: url(../assets/images/SCR-32_01.png);
}

.s02_mobile {
  background-image: url(../assets/images/SCR-32_02.png);
  background-position: bottom;
}

.s03_mobile {
  background-image: url(../assets/images/SCR-32_03.JPG);
}

.s04_mobile {
  background-image: url(../assets/images/SCR-32_04.JPG);
}

.s05_mobile {
  background-image: url(../assets/images/SCR-32_05.JPG);
}

/* Project 02 */
.s06_mobile {
  background-image: url(../assets/images/AMS-33_01.png);
}

.s07_mobile {
  background-image: url(../assets/images/AMS-33_02.JPG);
}

.s08_mobile {
  background-image: url(../assets/images/AMS-33_03.png);
}

/* Carousel Content */
.content_mobile {
  max-width: 80%;
  margin: 0 auto;
  margin-top: 5%;
  margin-bottom: 5%;
}

#projectCarouselMobile {
  margin-bottom: 25%;
}

#projectCarouselMobile a {
  margin-top: 15%;
}

.far_light {
  color: #bebaa8;
}

/* Footer Styling */
.footer_mobile {
  max-width: 80%;
  margin-top: 100px;
  margin: 0 auto;
  margin-bottom: 10%;
}

.next_project_container_mobile {
  background-image: url(../assets/images/AMS-33_01.png);
  height: 300px;
  position: relative;
  transition-duration: 0.5s;
}
.next_project_container_mobile:hover {
  height: 360px;
  transition-duration: 0.5s;
}
.next_project_container_mobile:hover .next_project_code_mobile_orange {
  transform: scale(1.05);
  transition-duration: 0.5s;
}

.next_project_container_mobile_02 {
  background-image: url(../assets/images/SCR-32_04.JPG);
  height: 300px;
  position: relative;
}

.next_project_code_mobile {
  position: absolute;
  right: -5%;
  bottom: -12%;
  color: #3fa7d6;
  font-size: 62px;
  font-family: Helvetica, sans-serif;
  font-weight: 600;
}

.next_project_code_mobile_orange {
  position: absolute;
  right: -5%;
  bottom: -12%;
  color: #ee6352;
  font-size: 62px;
  font-family: Helvetica, sans-serif;
  font-weight: 600;
  transition-duration: 0.5s;
}

.main_footer_content_mobile {
  display: grid;
  grid-template-columns: 1fr 2fr;
  margin-top: 50px;
}

.socials_container_mobile {
  display: flex;
  margin-top: 100px;
}

.social_icons_mobile {
  height: 30px;
  width: 30px;
}

.center_icon_mobile {
  margin: 0 30px 0 30px;
}

.navigation_container {
  display: flex;
  flex-direction: column;
}

.navigation_container a {
  text-decoration: none;
}

.footer_header_mobile {
  color: #ee6352;
  font-family: Helvetica, sans-serif;
  font-weight: 600;
  letter-spacing: 2px;
  text-transform: uppercase;
  font-size: 18px;
  margin-top: 100px;
  text-align: end;
}

.footer_divider {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.contact_container p {
  /* color: #bebaa8; */
  font-family: Avenir-Regular, sans-serif;
  font-size: 16px;
}

/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!! MEDIA QUERIES !!!!!!!!!!!!!!!!!!!!!!!! ! */
/* ! !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ! */

@media only screen and (max-width: 600px) {
  .main_project_code_mobile {
    font-size: 72px;
    top: -8%;
    left: 10%;
  }
  .main_project_code_mobile_light {
    font-size: 72px;
    top: -8%;
    left: 10%;
  }
  .bottom_content {
    flex-direction: column;
    margin-top: 50px;
  }
  .overview_mobile {
    margin: 0 auto;
  }
  .socials_container {
    margin: 0 auto;
    margin-top: 25px;
  }
  .content_header_mobile {
    font-size: 32px;
  }
  .socials_container_mobile {
    margin: 0 auto;
    margin-bottom: 0;
  }
  .main_footer_content_mobile {
    grid-template-columns: 1fr;
    margin-top: 100px;
  }
  .contact_container {
    margin-left: 25px;
  }
  .footer_header_mobile {
    margin-top: 25px;
  }
}

@media only screen and (max-width: 500px) {
  .content_header_mobile {
    font-size: 21px;
  }
  .footer_header_mobile {
    font-size: 18px;
  }
  /* .bottom_content {
    margin-bottom: 0;
  } */
  .next_project_code_mobile {
    font-size: 32px;
    bottom: -8%;
  }
}

@media only screen and (max-width: 400px) {
  .main_project_code_mobile {
    font-size: 38px;
    top: -4%;
  }
  .main_project_code_mobile_light {
    font-size: 38px;
    top: -4%;
  }
  .main_footer_content_mobile {
    display: flex;
    flex-direction: column;
  }
  .footer_divider {
    display: flex;
    flex-direction: column;
    text-align: center;
  }
  .navigation_container a {
    margin-left: 0;
  }
  .contact_container {
    margin-top: 25px;
    margin-bottom: 50px;
    margin-left: 0;
  }
}

/* max-height */
@media only screen and (max-height: 450px) {
  .hero_img_mobile,
  .hero_img_mobile_2 {
    margin-top: 40vh;
  }
}
